کنترلکنندههای اعلان
GET https://linkcomposer.com/api/notification-handlers/
curl --request GET \
--url 'https://linkcomposer.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته (String) | عبارت جستجو. |
| search_by | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: name. |
| is_enabled | اختیاری بولین (Boolean) | |
| type | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | اختیاری رشته (String) | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته (String) | فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s. |
| datetime_end | اختیاری رشته (String) | فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s. |
| order_by | اختیاری رشته (String) | فیلدی که نتایج بر اساس آن مرتب میشوند. مقادیر مجاز: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته (String) | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| search | اختیاری رشته (String) | عبارت جستجو. |
| search_by | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: name. |
| is_enabled | اختیاری بولین (Boolean) | |
| type | اختیاری رشته (String) | فیلدی که بر اساس آن جستجو میکنید. مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | اختیاری رشته (String) | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته (String) | فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s. |
| datetime_end | اختیاری رشته (String) | فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s. |
| order_by | اختیاری رشته (String) | فیلدی که نتایج بر اساس آن مرتب میشوند. مقادیر مجاز: notification_handler_id, datetime, last_datetime, name. |
| order_type | اختیاری رشته (String) | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح (Integer) | شماره صفحهای که میخواهید نتایج آن را دریافت کنید. مقدار پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح (Integer) | تعداد نتایج در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. مقدار پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-03 00:02:58"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://linkcomposer.com/api/notification-handlers?page=1",
"last": "https://linkcomposer.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://linkcomposer.com/api/notification-handlers?page=1"
}
}
GET https://linkcomposer.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-03 00:02:58"
}
}
POST https://linkcomposer.com/api/notification-handlers
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | الزامی رشته (String) | - |
| type | الزامی رشته (String) | مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams |
| اختیاری رشته (String) | در دسترس هنگامی که: type = email ایمیل | |
| webhook | اختیاری رشته (String) | در دسترس هنگامی که: type = webhook URL وبهوک |
| slack | اختیاری رشته (String) | در دسترس هنگامی که: type = slack URL وبهوک Slack |
| discord | اختیاری رشته (String) | در دسترس هنگامی که: type = discord URL وبهوک Discord |
| telegram | اختیاری رشته (String) | در دسترس هنگامی که: type = telegram توکن API تلگرام (Telegram) |
| telegram_chat_id | اختیاری رشته (String) | در دسترس هنگامی که: type = telegram Chat ID تلگرام (Telegram) |
| microsoft_teams | اختیاری رشته (String) | در دسترس هنگامی که: type = microsoft_teams URL وبهوک Microsoft Teams |
curl --request POST \
--url 'https://linkcomposer.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://linkcomposer.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-03 00:02:58"
}
}
POST https://linkcomposer.com/api/notification-handlers/{notification_handler_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته (String) | - |
| type | اختیاری رشته (String) | مقادیر مجاز: email, webhook, slack, discord, telegram, microsoft_teams |
| اختیاری رشته (String) | در دسترس هنگامی که: type = email ایمیل | |
| webhook | اختیاری رشته (String) | در دسترس هنگامی که: type = webhook URL وبهوک |
| slack | اختیاری رشته (String) | در دسترس هنگامی که: type = slack URL وبهوک Slack |
| discord | اختیاری رشته (String) | در دسترس هنگامی که: type = discord URL وبهوک Discord |
| telegram | اختیاری رشته (String) | در دسترس هنگامی که: type = telegram توکن API تلگرام (Telegram) |
| telegram_chat_id | اختیاری رشته (String) | در دسترس هنگامی که: type = telegram Chat ID تلگرام (Telegram) |
| microsoft_teams | اختیاری رشته (String) | در دسترس هنگامی که: type = microsoft_teams URL وبهوک Microsoft Teams |
| is_enabled | اختیاری بولین (Boolean) | - |
curl --request POST \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": "2026-10-03 00:02:58",
"datetime": "2026-10-03 00:02:58"
}
}
DELETE https://linkcomposer.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkcomposer.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \